<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="#F0F0F0"
    tools:context=".ClientActivity">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolBar_client"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        android:background="@color/toolbar_color"
        app:navigationIcon="@drawable/iv_back"
        app:title="机器人控制"
        app:titleMarginStart="80dp"
        app:titleTextColor="@color/white"/>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="150dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        android:layout_marginStart="10dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/rounded_corner_bg"
            android:layout_marginRight="10dp"
            >

            <TextView
                android:id="@+id/textView11"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:layout_marginTop="10dp"
                android:text="启动机器人"
                android:textColor="#1E1E1E"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/start_robot_iv" />

            <TextView
                android:id="@+id/textView12"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:text="状态：机器人已就绪"

                app:layout_constraintStart_toStartOf="@+id/textView11"
                app:layout_constraintTop_toBottomOf="@+id/textView11" />

            <ImageView
                android:id="@+id/start_robot_iv"
                android:background="@drawable/robot_start"
                android:layout_width="67dp"
                android:layout_height="63dp"
                android:layout_marginStart="12dp"
                android:layout_marginTop="7dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/robot_start" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/rounded_corner_bg"
            >

            <ImageView
                android:id="@+id/imageView4"
                android:layout_width="80dp"
                android:layout_height="63dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="7dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/path_plan" />

            <TextView
                android:id="@+id/textView4"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="10dp"
                android:text="全覆盖割草"
                android:textColor="#1E1E1E"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/imageView4" />

            <TextView
                android:id="@+id/textView10"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:text="上次割草: 3天前"
                app:layout_constraintStart_toStartOf="@+id/textView4"
                app:layout_constraintTop_toBottomOf="@+id/textView4" />

        </androidx.constraintlayout.widget.ConstraintLayout>


    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="150dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        android:layout_marginStart="10dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/rounded_corner_bg"
            android:layout_marginEnd="10dp"
            >

            <TextView
                android:id="@+id/tv_charge"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:layout_marginTop="10dp"
                android:text="@string/back_charging"
                android:textColor="#1E1E1E"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/iv_charge" />

            <TextView
                android:id="@+id/charge_state"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:text="@string/last_charging"
                app:layout_constraintStart_toStartOf="@+id/tv_charge"
                app:layout_constraintTop_toBottomOf="@+id/tv_charge" />

            <ImageView
                android:id="@+id/iv_charge"
                android:layout_width="67dp"
                android:layout_height="63dp"
                android:layout_marginStart="12dp"
                android:layout_marginTop="7dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/robot_charge" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/rounded_corner_bg"
            >

            <ImageView
                android:id="@+id/iv_stop_robot"
                android:layout_width="80dp"
                android:layout_height="63dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="7dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/iv_finish" />

            <TextView
                android:id="@+id/tv_lawn_patrol"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="10dp"
                android:text="@string/finish"
                android:textColor="#1E1E1E"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/iv_stop_robot" />

            <TextView
                android:id="@+id/tv_lawn_patrol_date"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:text="@string/turn_off"
                app:layout_constraintStart_toStartOf="@+id/tv_lawn_patrol"
                app:layout_constraintTop_toBottomOf="@+id/tv_lawn_patrol" />

        </androidx.constraintlayout.widget.ConstraintLayout>


    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="150dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        android:layout_marginStart="10dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/btn_base_init"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginRight="10dp"
            android:layout_weight="1"
            android:background="@drawable/ripple_effect"
            android:clickable="true"> <!-- 点击效果 -->

            <TextView
                android:id="@+id/tv_base_init"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="12dp"
                android:layout_marginTop="10dp"
                android:text="基站初始化"
                android:textColor="#1E1E1E"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/iv_base_init" />

            <TextView
                android:id="@+id/base_init_state_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:text="基站状态：未初始化"
                app:layout_constraintStart_toStartOf="@+id/tv_base_init"
                app:layout_constraintTop_toBottomOf="@+id/tv_base_init" />

            <ImageView
                android:id="@+id/iv_base_init"
                android:layout_width="67dp"
                android:layout_height="63dp"
                android:layout_marginStart="12dp"
                android:layout_marginTop="7dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/base_station_init" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/btn_range_setting"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/ripple_effect">

            <ImageView
                android:id="@+id/iv_geofencing_range"
                android:layout_width="80dp"
                android:layout_height="63dp"
                android:layout_marginStart="10dp"
                android:layout_marginTop="7dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/geofencing_range" />

            <TextView
                android:id="@+id/tv_ranging_setting"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="20dp"
                android:layout_marginTop="10dp"
                android:text="@string/boundary_setting"
                android:textColor="#1E1E1E"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/iv_geofencing_range" />

            <TextView
                android:id="@+id/tv_geofencing_range_state"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:text="@string/weilan"
                app:layout_constraintStart_toStartOf="@+id/tv_ranging_setting"
                app:layout_constraintTop_toBottomOf="@+id/tv_ranging_setting" />

        </androidx.constraintlayout.widget.ConstraintLayout>


    </LinearLayout>

    <EditText
        android:id="@+id/ipET"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="@string/ip"
        />
    <Button
        android:id="@+id/btn_confirm"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="@string/connect_server"
        android:gravity="center" />
    <EditText
        android:id="@+id/msgET"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:hint="@string/msg"/>
    <Button
        android:id="@+id/btn_send"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:text="@string/send_msg"
        android:gravity="center"
        android:backgroundTint="#1E88E5"/>
    <TextView
        android:id="@+id/msgTV"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        />
</LinearLayout>